Summary:	Virtual Machine Viewer
Name:		virt-viewer
Version:	3.1
Release:	3
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		http://virt-manager.org/
Source0:	http://virt-manager.org/download/sources/%{name}/%{name}-%{version}.tar.gz
Patch0:		virt-viewer-3.1-localize.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk-vnc-1.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gvnc-1.0)
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(libvirt)
BuildRequires:	pkgconfig(spice-client-gtk-2.0)
Requires:	spice-gtk

%description
Virtual Machine Viewer (virt-viewer) is a lightweight interface for
interacting with the graphical display of a virtualized guest OS. It uses
GTK-VNC and libvirt to look up the VNC server details associated with the
guest. It is intended as a replacement for the traditional vncviewer
client, since the latter does not support SSL/TLS encryption of x509
certificate authentication.

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/remote-viewer.desktop
%{_datadir}/icons/hicolor/*/*
%{_datadir}/%{name}/ui
%{_datadir}/mime/packages/virt-viewer-mime.xml

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x \
	--with-gtk-vnc \
	--with-gtk=2.0 \
	--with-spice-gtk \
	--disable-update-mimedb

%make

%install
%makeinstall_std
%find_lang %{name}

find . -name 'src' -type d -perm 0775 -exec chmod 0755 {} \;


%changelog

* Tue Oct 25 2016 abondrov <andrey.bondrov@rosalab.ru> 3.1-3
- (d81c2bc) Merge pull request #1 from keleg/virt-viewer:rosa2014.1
- (d81c2bc) Update localization


